Catmandu::Fix::Bind::iterate(3pm)

NAME
Catmandu::Fix::Bind::iterate - a binder iterates fixes in a loop

SYNOPSIS
     # Create:
     #   numbers = [1,2,3,4,5,6,7,8,9,10]
     do iterate(start:1, end: 10, step: 1, var: i)
        copy_field(i,numbers.$append)
     end

DESCRIPTION
The list binder will iterate over all the elements in a list and fixes the values in context of that list.

CONFIGURATION

  start
Start value of the iterator.

  end
End value of the iterator.

  step
Increase the interator with this value for every step.

var

Optional variable holding the value of the current step

SEE ALSO
Catmandu::Fix::Bind , Catmandu::Fix::list , Catmandu::Fix::with ,